import { Component } from '@angular/core';
import {NzResultModule} from "ng-zorro-antd/result";
import {NzButtonComponent} from "ng-zorro-antd/button";
import {Router} from "@angular/router";

@Component({
  selector: 'app-error500',
  standalone: true,
  imports: [
    NzResultModule,
    NzButtonComponent
  ],
  templateUrl: './error500.component.html',
  styleUrl: './error500.component.less'
})
export class Error500Component {
  constructor(

    private router: Router,  // 路由
  ) {}


  // 退出登录
  public getHome(): void {
    this.router.navigateByUrl('/admin/index').then(r => console.log("返回内容" ,r));
  }
}
