export interface GoodsTypeData {
  id: number;
  parentId?: number | undefined;
  title: string;
  businessType?: any;
  imgUrl?: any;
  createTime: string;
  updateTime: string;
  status: string;
  level?: number;
  expand?: boolean;
  children?: GoodsTypeData[];
  parent?: GoodsTypeData;
}
export interface GoodsMsgData {
  id: number;
  goodsTypeName: string;
  goodsType: number;
  type: number;
  goodsBrandName: string;
  goodsBrand: number;
  goodsLabel: string;
  title: string;
  listImg: string;
  bannerImg: string;
  detailImg: string;
  status: number;
  createTime: string;
  updateTime: string;
  merId: string;
  merName: string;
}

export interface SpecsData {
  id: number;
  goodsId: number;
  name: string;
  purLimit: number;
  salePrice: number;
  originalPrice: number;
  stock: number;
  showImg: string;
  status: number;
  createTime: string;
  updateTime: string;
  specsId: number;
  key: string;
  validDay: string;
  salesEndTime: string,
  type: number,
  source: string,
  jumpType: number,
  jumpUrl: string,
  appid: string
}
